Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Any.h File Reference

`#include "ace/pre.h"`
`#include "tao/CDR.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Typecode.h"`
`#include "ace/post.h"`

Include dependency graph for Any.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | CORBA_Any
class | CORBA_Any_out
class | CORBA_Any_var
struct | CORBA_Any::to_object
## Functions
TAO_Export void | operator<<= (CORBA_Any_var &, CORBA::Short)
TAO_Export void | operator<<= (CORBA_Any_var &, const CORBA_Any&)
TAO_Export void | operator<<= (CORBA_Any_var &, const char*)
TAO_Export void | operator<<= (CORBA_Any_var &, CORBA::Any::from_boolean)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::Short&)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::UShort&)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::Long&)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::ULong&)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::LongLong&)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::ULongLong&)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::Float&)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::Double&)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA_Any&)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::TypeCode_ptr&)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, const char*&)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, const CORBA::WChar*&)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::Any::to_boolean)

## Detailed Description

Any.h,v 1.59 2001/03/09 04:50:44 othman Exp

Author(s):
  Copyright 1994-1995 by Sun Microsystems , Inc. and Aniruddha Gokhale.

## Function Documentation

ACE_INLINE void operator<<= ( | CORBA_Any_var & lhs,
| CORBA::Any:: from_boolean )

ACE_INLINE void operator<<= ( | CORBA_Any_var & lhs,
| const char * rhs )

ACE_INLINE void operator<<= ( | CORBA_Any_var & lhs,
| const CORBA_Any & rhs )

ACE_INLINE void operator<<= ( | CORBA_Any_var & lhs,
| CORBA:: Short )

ACE_INLINE CORBA::Boolean operator>>= ( | CORBA_Any_var & lhs,
| CORBA::Any:: to_boolean )

ACE_INLINE CORBA::Boolean operator>>= ( | CORBA_Any_var & lhs,
| const CORBA::WChar *& rhs )

ACE_INLINE CORBA::Boolean operator>>= ( | CORBA_Any_var & lhs,
| const char *& rhs )

ACE_INLINE CORBA::Boolean operator>>= ( | CORBA_Any_var & lhs,
| CORBA::TypeCode_ptr & rhs )

ACE_INLINE CORBA::Boolean operator>>= ( | CORBA_Any_var & lhs,
| CORBA_Any & rhs )

ACE_INLINE CORBA::Boolean operator>>= ( | CORBA_Any_var & lhs,
| CORBA::Double & rhs )

ACE_INLINE CORBA::Boolean operator>>= ( | CORBA_Any_var & lhs,
| CORBA::Float & rhs )

ACE_INLINE CORBA::Boolean operator>>= ( | CORBA_Any_var & lhs,
| CORBA::ULongLong & rhs )

ACE_INLINE CORBA::Boolean operator>>= ( | CORBA_Any_var & lhs,
| CORBA::LongLong & rhs )

ACE_INLINE CORBA::Boolean operator>>= ( | CORBA_Any_var & lhs,
| CORBA::ULong & rhs )

ACE_INLINE CORBA::Boolean operator>>= ( | CORBA_Any_var & lhs,
| CORBA::Long & rhs )

ACE_INLINE CORBA::Boolean operator>>= ( | CORBA_Any_var & lhs,
| CORBA::UShort & rhs )

ACE_INLINE CORBA::Boolean operator>>= ( | CORBA_Any_var & lhs,
| CORBA::Short & rhs )